using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using RFrameGenerate.Model;
using RFramework.SQLServer;
using RFramework.SQLServer.Enums;
using RFrameGenerate.DAL.Enums;
using RFramework.SQLQuery;
using System.Data.SqlClient;

namespace RFrameGenerate.DAL.SQLServer
{
    public partial class IProcedure
    {
        /// <summary>
        /// 一元购
        /// </summary>
        /// <returns></returns>
        public PT_BAS_PayWayByOrderNo GetPayWayByCrowdOrderNO(string orderNO)
        {
            return SqlHelper.RunProcedure<PT_BAS_PayWayByOrderNo>("PT_BAS_PayWayByCrowdOrderNo", transaction,
                SqlRParameter.GetParameter("@orderNO", SqlDbType.NVarChar, orderNO));
        }

        public WinningProduct GetWinningProduct(Guid periodGuid)
        {
            return SqlHelper.RunProcedure<WinningProduct>("WinningProduct", transaction,
                SqlRParameter.GetParameter("@ProductCrowdPeriodGuid", SqlDbType.UniqueIdentifier, periodGuid),
                SqlRParameter.GetParameter("@SMerchantGuid", SqlDbType.UniqueIdentifier, RFrameGenerate.Common.CurrentManage.MerchantGuid));
        }
    }
}
